module Maglove
  module Widgets
    class Columns < Base
      attr_reader :columns
      attr_reader :column_count
      attr_reader :total_columns

      def identifier
        "columns"
      end

      def defaults
        {
          layout: "6x6",
          collapse_options: "sm"
        }
      end

      def template(&block)
        yield if block
      end
    end
  end
end
