require "maglove/widgets/base"
require "maglove/widgets/page"
require "maglove/widgets/button"
require "maglove/widgets/columns"
require "maglove/widgets/container"
require "maglove/widgets/heading"
require "maglove/widgets/horizontal_rule"
require "maglove/widgets/image"
require "maglove/widgets/paragraph"
require "maglove/widgets/scrollable_image"
require "maglove/widgets/slider"
require "maglove/widgets/video"
require "maglove/widgets/youtube"

module Maglove
  module Widgets
    Hamloft.register_widget(:page, Page)
    Hamloft.register_widget(:button, Button)
    Hamloft.register_widget(:columns, Columns)
    Hamloft.register_widget(:container, Container)
    Hamloft.register_widget(:heading, Heading)
    Hamloft.register_widget(:horizontal_rule, HorizontalRule)
    Hamloft.register_widget(:image, Image)
    Hamloft.register_widget(:paragraph, Paragraph)
    Hamloft.register_widget(:scrollable_image, ScrollableImage)
    Hamloft.register_widget(:slider, Slider)
    Hamloft.register_widget(:video, Video)
    Hamloft.register_widget(:youtube, Youtube)
  end
end
