module Maglove
  module Widgets
    class Container < Base
      def identifier
        "container"
      end

      def defaults
        {
          animate: "none",
          parallax_effect: "none",
          border_radius: "",
          border_width: "",
          border_style: "",
          border_color: "transparent",
          min_height: "",
          max_height: "",
          overflow_y: ""
        }
      end

      def template(&block)
        yield if block
      end
    end
  end
end
