module Maglove
  module Widgets
    class Heading < Base
      def identifier
        "heading"
      end

      def defaults
        {
          type: "h1",
          align: "left",
          line_height: "1.3",
          padding: "0 0 8 0"
        }
      end

      def template(&block)
        yield if block
      end
    end
  end
end
