module Maglove
  module Widgets
    class HorizontalRule < Base
      def identifier
        "horizontal_rule"
      end

      def defaults
        {
          style: 'solid',
          color: 'dark',
          max_height: 'inherit'
        }
      end

      def template(&block)
        haml_tag :hr, style: "max-height: #{options[:max_height]}", class: "#{options[:style]} #{options[:color]}"
      end
    end
  end
end
