module Maglove
  module Widgets
    class Image < Base
      def identifier
        "image"
      end

      def defaults
        {
          style: "img-responsive",
          align: "center",
          source: false,
          magnify: false,
          tooltip_icon: "bullhorn",
          tooltip_text_alignment: "justify",
          tooltip_text_size: "medium",
          tooltip_position: "top-right",
          tooltip_text: ""
        }
      end

      def template(&block)
        yield if block
      end
    end
  end
end
